aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorWladimir J. van der Laan <laanwj@gmail.com>2014-12-20 13:58:51 +0100
committerWladimir J. van der Laan <laanwj@gmail.com>2014-12-20 13:58:51 +0100
commit39c809942d7e526a25dde470cd5e95e43fd7a774 (patch)
treeacd3a1db392a8276aaa4f675f8980ada859680d0 /contrib
parentf914f1a746d7f91951c1da262a4a749dd3ebfa71 (diff)
downloadbitcoin-39c809942d7e526a25dde470cd5e95e43fd7a774.tar.xz
contrib: make github-merge require signing
- Exit when there is no signing key configured - Exit when user does not want to sign off
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/devtools/github-merge.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/contrib/devtools/github-merge.sh b/contrib/devtools/github-merge.sh
index 6f68496ed8..ec7a1f4c4b 100755
--- a/contrib/devtools/github-merge.sh
+++ b/contrib/devtools/github-merge.sh
@@ -156,12 +156,17 @@ read -p "Press 's' to sign off on the merge. " -n 1 -r >&2
echo
if [[ "d$REPLY" =~ ^d[Ss]$ ]]; then
if [[ "$(git config --get user.signingkey)" == "" ]]; then
- echo "WARNING: No GPG signing key set, not signing. Set one using:" >&2
+ echo "ERROR: No GPG signing key set, not signing. Set one using:" >&2
echo "git config --global user.signingkey <key>" >&2
- git commit -q --signoff --amend --no-edit
+ cleanup
+ exit 1
else
git commit -q --gpg-sign --amend --no-edit
fi
+else
+ echo "Not signing off on merge, exiting."
+ cleanup
+ exit 1
fi
# Clean up temporary branches, and put the result in $BRANCH.